## pve-manager 8.3.0

=== Makefile ===
include /usr/share/dpkg/default.mk
include defines.mk

export PVERELEASE = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1-2)
export VERSION = $(DEB_VERSION_UPSTREAM_REVISION)

BUILDDIR = $(PACKAGE)-$(DEB_VERSION_UPSTREAM)

DSC=$(PACKAGE)_$(DEB_VERSION).dsc
DEB=$(PACKAGE)_$(DEB_VERSION)_all.deb

DESTDIR=
SUBDIRS = aplinfo PVE bin www services configs network-hooks test templates

all: $(SUBDIRS)
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i; done


GITVERSION:=$(shell git rev-parse --short=16 HEAD)
$(BUILDDIR):
	rm -rf $@ $@.tmp
	mkdir $@.tmp
	rsync -a * $@.tmp
	echo "git clone git://git.proxmox.com/git/pve-manager.git\\ngit checkout $(GITVERSION)" >  $@.tmp/debian/SOURCE
	echo "REPOID_GENERATED=$(GITVERSION)" > $@.tmp/debian/rules.env
	mv $@.tmp $@

.PHONY: deb dsc
deb: $(DEB)
$(DEB): $(BUILDDIR)
	cd $(BUILDDIR); dpkg-buildpackage -b -us -uc
	lintian $(DEB)

dsc:
	rm -rf $(BUILDDIR) $(DSC)
	$(MAKE) $(DSC)
	lintian $(DSC)
$(DSC): $(BUILDDIR)
	cd $(BUILDDIR); dpkg-buildpackage -S -us -uc -d

sbuild: $(DSC)
	sbuild $<

.PHONY: upload
upload: UPLOAD_DIST ?= $(DEB_DISTRIBUTION)
upload: $(DEB)
	tar cf - $(DEB) | ssh -X repoman@repo.proxmox.com upload --product pve --dist $(UPLOAD_DIST)

.PHONY: install
install: vzdump-hook-script.pl
	install -d -m 0700 -o www-data -g www-data $(DESTDIR)/var/log/pveproxy
	install -d $(DOCDIR)/examples
	install -d $(DESTDIR)/var/lib/$(PACKAGE)
	install -d $(DESTDIR)/var/lib/vz/images
	install -d $(DESTDIR)/var/lib/vz/template/cache
	install -d $(DESTDIR)/var/lib/vz/template/iso
	install -m 0644 vzdump-hook-script.pl $(DOCDIR)/examples/vzdump-hook-script.pl
	install -m 0644 spice-example-sh $(DOCDIR)/examples/spice-example-sh
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

.PHONY: distclean
distclean: clean

.PHONY: clean
clean:
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done
	rm -f $(PACKAGE)*.tar* country.dat *.deb *.dsc *.build *.buildinfo *.changes
	rm -rf dest $(PACKAGE)-[0-9]*/

.PHONY: dinstall
dinstall: $(DEB)
	dpkg -i $(DEB)

=== aplinfo/Makefile ===

DOCDIR=/usr/share/doc/pve-manager/

TRUSTED_KEYS=				\
	proxmox-release-6.x.pubkey 	\
	proxmox-release-bullseye.pubkey	\
	proxmox-release-bookworm.gpg	\
	release@turnkeylinux.com.pubkey \
	mirrors.apqa.cn.pubkey

all:

.PHONY: install
install: aplinfo.dat trustedkeys.gpg
	install -D -m 0644 aplinfo.dat $(DESTDIR)$(DOCDIR)/aplinfo.dat
	install -D -m 0644 trustedkeys.gpg $(DESTDIR)$(DOCDIR)/trustedkeys.gpg

.PHONY: update
update:
	rm -f aplinfo.dat
	wget http://download.proxmox.com/images/aplinfo-pve-8.dat -O aplinfo.dat.tmp
	mv aplinfo.dat.tmp aplinfo.dat

trustedkeys.gpg: $(TRUSTED_KEYS)
	sq keyring join --binary -o $@.tmp *.pubkey proxmox-release-bookworm.gpg
	mv $@.tmp $@

.PHONY: clean
clean:
	rm -rf *~ aplinfo.dat.gz aplinfo.dat.asc trustedkeys.gpg

=== bin/Makefile ===
include ../defines.mk

PERL_DOC_INC_DIRS=..
-include /usr/share/pve-doc-generator/pve-doc-generator.mk

SERVICES = pvestatd pveproxy pvedaemon spiceproxy pvescheduler
CLITOOLS = \
	vzdump \
	pvesubscription \
	pveceph \
	pveam \
	pvesr \
	pvenode \
	pvesh \
	pve7to8 \


SCRIPTS =  			\
	$(SERVICES)		\
	$(CLITOOLS)		\
	pvebanner		\
	pveversion		\
	pveupgrade		\
	pveupdate		\
	pveperf			\
	pvereport

HELPERS =			\
	pve-startall-delay	\
	pve-init-ceph-crash

SERVICE_MANS = $(addsuffix .8, $(SERVICES))

CLI_MANS = 				\
	$(addsuffix .1, $(CLITOOLS))	\
	pveversion.1			\
	pveupgrade.1			\
	pveperf.1			\
	pvereport.1			\

BASH_COMPLETIONS = 						\
	$(addsuffix .service-bash-completion, $(SERVICES)) 	\
	$(addsuffix .bash-completion, $(CLITOOLS)) 		\

ZSH_COMPLETIONS =						\
	$(addsuffix .service-zsh-completion, $(SERVICES)) 	\
	$(addsuffix .zsh-completion, $(CLITOOLS))		\

all: $(SERVICE_MANS) $(CLI_MANS)

%.1: %.1.pod
	rm -f $@
	cat $<|pod2man -n $* -s 1 -r $(VERSION) -c"Proxmox Documentation" - >$@.tmp
	mv $@.tmp $@

%.1.pod:
	podselect $* > $@.tmp
	mv $@.tmp $@

pve6to7.1:
	printf ".TH PVE6TO7 1\n.SH NAME\npve6to7 \- Proxmox VE upgrade checker script for 6.4 to 7.x\n" > $@.tmp
	printf ".SH NOTE\npve6to7 is for the previous upgrade, from Proxmox VE 6 to 7, but there's a\
	 new Proxmox VE 8 available, see the 'pve7to8' tool.\n" >> $@.tmp
	printf ".SH SYNOPSIS\npve6to7 [--full]\n" >> $@.tmp
	mv $@.tmp $@

pve7to8.1:
	printf ".TH PVE7TO8 1\n.SH NAME\npve7to8 \- Proxmox VE upgrade checker script for 7.4+ to current 8.x\n" > $@.tmp
	printf ".SH DESCRIPTION\nThis tool will help you to detect common pitfalls and misconfguration\
	 before, and during the upgrade of a Proxmox VE system\n" >> $@.tmp
	printf "Any failure must be addressed before the upgrade, and any warning must be addressed, \
	 or at least carefully evaluated, if a false-positive is suspected\n" >> $@.tmp
	printf ".SH SYNOPSIS\npve7to8 [--full]\n" >> $@.tmp
	mv $@.tmp $@

pveversion.1.pod: pveversion
pveupgrade.1.pod: pveupgrade
pvereport.1.pod: pvereport

.PHONY: check
check: $(addsuffix .service-api-verified, $(SERVICES)) $(addsuffix .api-verified, $(CLITOOLS))
	rm -f *.service-api-verified *.api-verified

.PHONY: install
install: $(SCRIPTS) $(CLI_MANS) $(SERVICE_MANS) $(BASH_COMPLETIONS) $(ZSH_COMPLETIONS)
	install -d $(BINDIR)
	install -m 0755 $(SCRIPTS) $(BINDIR)
	install -d $(USRSHARE)/helpers
	install -m 0755 $(HELPERS) $(USRSHARE)/helpers
	install -d $(MAN1DIR)
	install -m 0644 $(CLI_MANS) $(MAN1DIR)
	install -d $(MAN8DIR)
	install -m 0644 $(SERVICE_MANS) $(MAN8DIR)
	for i in $(CLITOOLS); do install -m 0644 -D $$i.bash-completion $(BASHCOMPLDIR)/$$i; done
	for i in $(SERVICES); do install -m 0644 -D $$i.service-bash-completion $(BASHCOMPLDIR)/$$i; done
	for i in $(CLITOOLS); do install -m 0644 -D $$i.zsh-completion $(ZSHCOMPLDIR)/_$$i; done
	for i in $(SERVICES); do install -m 0644 -D $$i.service-zsh-completion $(ZSHCOMPLDIR)/_$$i; done

.PHONY: clean
clean:
	rm -f *.xml.tmp *.1 *.5 *.8 *{synopsis,opts}.adoc docinfo.xml *.tmp
	rm -f *~ *.tmp $(CLI_MANS) $(SERVICE_MANS) *.1.pod *.8.pod
	rm -f *.bash-completion *.service-bash-completion *.zsh-completion *.service-zsh-completion
	rm -f *.api-verified *.service-api-verified

=== configs/Makefile ===
include ../defines.mk

all: country.dat

country.dat: country.pl
	./country.pl > country.dat

.PHONY: install
install: country.dat vzdump.conf pve-sources.list pve-initramfs.conf pve-blacklist.conf pve.logrotate
	install -D -m 0644 pve.logrotate $(DESTDIR)/etc/logrotate.d/pve
	install -D -m 0644 pve-sources.list ${DESTDIR}/etc/apt/sources.list.d/pveport.list
	install -D -m 0644 pve-blacklist.conf $(DESTDIR)/etc/modprobe.d/pve-blacklist.conf
	install -D -m 0644 vzdump.conf $(DESTDIR)/etc/vzdump.conf
	install -D -m 0644 pve-initramfs.conf $(DESTDIR)/etc/initramfs-tools/conf.d/pve-initramfs.conf
	install -D -m 0644 country.dat $(DESTDIR)/usr/share/$(PACKAGE)/country.dat
	install -D -m 0644 proxmox-ve-default.link $(DESTDIR)/usr/lib/systemd/network/99-default.link.d/proxmox-mac-address-policy.conf

clean:
	rm -f country.dat

=== services/Makefile ===
include ../defines.mk

all:

SERVICES=			\
	pvebanner.service 	\
	pvenetcommit.service 	\
	pvestatd.service 	\
	pve-guests.service 	\
	pvedaemon.service  	\
	pveproxy.service 	\
	spiceproxy.service	\
	pve-storage.target	\
	pve-daily-update.service\
	pve-daily-update.timer	\
	pvescheduler.service

.PHONY: install
install: $(SERVICES)
	install -d $(SERVICEDIR)
	install -m 0644 $(SERVICES) $(SERVICEDIR)
	install -d $(SERVICEDIR)/ceph-mon@.service.d
	install -m 0644 ceph-after-pve-cluster.conf $(SERVICEDIR)/ceph-mon@.service.d
	install -d $(SERVICEDIR)/ceph-mgr@.service.d
	install -m 0644 ceph-after-pve-cluster.conf $(SERVICEDIR)/ceph-mgr@.service.d
	install -d $(SERVICEDIR)/ceph-osd@.service.d
	install -m 0644 ceph-after-pve-cluster.conf $(SERVICEDIR)/ceph-osd@.service.d
	install -d $(SERVICEDIR)/ceph-volume@.service.d
	install -m 0644 ceph-after-pve-cluster.conf $(SERVICEDIR)/ceph-volume@.service.d
	install -d $(SERVICEDIR)/ceph-mds@.service.d
	install -m 0644 ceph-after-pve-cluster.conf $(SERVICEDIR)/ceph-mds@.service.d
	install -d $(DESTDIR)/usr/share/doc/$(PACKAGE)/examples/

.PHONY: clean
clean:
	rm -rf *~

=== templates/Makefile ===
NOTIFICATION_TEMPLATES=					\
	default/test-subject.txt.hbs			\
	default/test-body.txt.hbs			\
	default/test-body.html.hbs			\
	default/vzdump-subject.txt.hbs			\
	default/vzdump-body.txt.hbs			\
	default/vzdump-body.html.hbs			\
	default/replication-subject.txt.hbs		\
	default/replication-body.txt.hbs		\
	default/replication-body.html.hbs		\
	default/package-updates-subject.txt.hbs		\
	default/package-updates-body.txt.hbs		\
	default/package-updates-body.html.hbs		\

all:

.PHONY: install
install:
	install -dm 0755 $(DESTDIR)/usr/share/pve-manager/templates/default
	$(foreach i,$(NOTIFICATION_TEMPLATES), \
	    install -m644 $(i) $(DESTDIR)/usr/share/pve-manager/templates/$(i) ;)


clean:

=== www/Makefile ===
include ../defines.mk
SUBDIRS = images css manager6 mobile

all:

.PHONY: install
install:
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done
	install -m 0644 index.html.tpl $(WWWBASEDIR)
	install -d $(WWWJSDIR)
	install -m 0644 u2f-api.js $(WWWJSDIR)

.PHONY: check
check:
	$(MAKE) -C manager6 $@

.PHONY: clean
clean:
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

=== PVE/API2/Makefile ===
include ../../defines.mk

SUBDIRS=Hardware Ceph Cluster

PERLSOURCE = 			\
	ACME.pm			\
	ACMEAccount.pm		\
	ACMEPlugin.pm		\
	APT.pm			\
	Backup.pm		\
	Capabilities.pm		\
	Ceph.pm			\
	Certificates.pm		\
	Cluster.pm		\
	HAConfig.pm		\
	Hardware.pm		\
	Network.pm		\
	NodeConfig.pm		\
	Nodes.pm		\
	Pool.pm			\
	Replication.pm		\
	ReplicationConfig.pm	\
	Services.pm		\
	Subscription.pm		\
	Tasks.pm		\
	VZDump.pm		\

all:

.PHONY: clean
clean:
	rm -rf *~
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

.PHONY: install 
install: $(PERLSOURCE)
	install -d $(PERLLIBDIR)/PVE/API2
	install -m 0644 $(PERLSOURCE) $(PERLLIBDIR)/PVE/API2
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

=== PVE/Ceph/Makefile ===
include ../../defines.mk

PERLSOURCE =   \
	Releases.pm \
	Services.pm \
	Tools.pm \

all:

.PHONY: clean
clean:
	rm -rf *~

.PHONY: install
install: $(PERLSOURCE)
	install -d $(PERLLIBDIR)/PVE/Ceph
	install -m 0644 $(PERLSOURCE) $(PERLLIBDIR)/PVE/Ceph

=== PVE/Status/Makefile ===
include ../../defines.mk

PERLSOURCE = 			\
	Graphite.pm		\
	InfluxDB.pm		\
	Plugin.pm

all:

.PHONY: clean
clean:
	rm -rf *~

.PHONY: install 
install: $(PERLSOURCE)
	install -d $(PERLLIBDIR)/PVE/Status
	install -m 0644 $(PERLSOURCE) $(PERLLIBDIR)/PVE/Status

=== www/css/Makefile ===
include ../../defines.mk

all:

.PHONY: install
install: ext6-pve.css
	install -d $(WWWCSSDIR)
	install -m 0644 $? $(WWWCSSDIR)

.PHONY: clean
clean:
	rm -rf *~

=== www/manager6/Makefile ===
include ../../defines.mk

ESLINT ?= $(if $(shell command -v pve-eslint), pve-eslint, eslint)

JSSRC= 							\
	Parser.js					\
	StateProvider.js				\
	Utils.js					\
	UIOptions.js					\
	Toolkit.js					\
	VNCConsole.js					\
	button/ConsoleButton.js				\
	button/Revert.js				\
	button/Split.js					\
	controller/StorageEdit.js			\
	data/PermPathStore.js				\
	data/ResourceStore.js				\
	data/model/RRDModels.js				\
	container/TwoColumnContainer.js			\
	form/ACMEAPISelector.js 			\
	form/ACMEAccountSelector.js			\
	form/ACMEPluginSelector.js			\
	form/AgentFeatureSelector.js			\
	form/BackupCompressionSelector.js		\
	form/BackupModeSelector.js			\
	form/BandwidthSelector.js			\
	form/BridgeSelector.js				\
	form/BusTypeSelector.js				\
	form/CPUModelSelector.js			\
	form/CacheTypeSelector.js			\
	form/CalendarEvent.js				\
	form/CephPoolSelector.js			\
	form/CephFSSelector.js				\
	form/ComboBoxSetStoreNode.js			\
	form/ContentTypeSelector.js			\
	form/ControllerSelector.js			\
	form/DayOfWeekSelector.js			\
	form/DiskFormatSelector.js			\
	form/DiskStorageSelector.js			\
	form/FileSelector.js				\
	form/FirewallPolicySelector.js			\
	form/GlobalSearchField.js			\
	form/GroupSelector.js				\
	form/GuestIDSelector.js				\
	form/HashAlgorithmSelector.js			\
	form/HotplugFeatureSelector.js			\
	form/IPProtocolSelector.js			\
	form/IPRefSelector.js				\
	form/MDevSelector.js				\
	form/MemoryField.js				\
	form/MultiPCISelector.js			\
	form/NetworkCardSelector.js			\
	form/NodeSelector.js				\
	form/NotificationModeSelector.js		\
	form/NotificationTargetSelector.js		\
	form/NotificationPolicySelector.js		\
	form/PCISelector.js				\
	form/PCIMapSelector.js				\
	form/PermPathSelector.js			\
	form/PoolSelector.js				\
	form/PreallocationSelector.js			\
	form/PrivilegesSelector.js			\
	form/QemuBiosSelector.js			\
	form/SDNControllerSelector.js			\
	form/SDNZoneSelector.js				\
	form/SDNVnetSelector.js				\
	form/SDNIpamSelector.js				\
	form/SDNDnsSelector.js				\
	form/ScsiHwSelector.js				\
	form/SecurityGroupSelector.js			\
	form/SnapshotSelector.js			\
	form/SpiceEnhancementSelector.js		\
	form/StorageScanNodeSelector.js	    		\
	form/StorageSelector.js				\
	form/TFASelector.js				\
	form/TokenSelector.js 				\
	form/USBSelector.js				\
	form/USBMapSelector.js				\
	form/UserSelector.js				\
	form/VLanField.js				\
	form/VMCPUFlagSelector.js			\
	form/VMSelector.js				\
	form/VNCKeyboardSelector.js			\
	form/ViewSelector.js				\
	form/iScsiProviderSelector.js			\
	form/TagColorGrid.js				\
	form/ListField.js				\
	form/Tag.js					\
	form/TagEdit.js					\
	form/MultiFileButton.js				\
	form/TagFieldSet.js				\
	form/IsoSelector.js				\
	grid/BackupView.js				\
	grid/FirewallAliases.js				\
	grid/FirewallOptions.js				\
	grid/FirewallRules.js				\
	grid/PoolMembers.js				\
	grid/Replication.js				\
	grid/ResourceGrid.js				\
	panel/ConfigPanel.js				\
	panel/BackupAdvancedOptions.js			\
	panel/BackupJobPrune.js				\
	panel/HealthWidget.js				\
	panel/IPSet.js					\
	panel/RunningChart.js				\
	panel/StatusPanel.js				\
	panel/GuestStatusView.js			\
	panel/GuestSummary.js				\
	panel/TemplateStatusView.js			\
	panel/MultiDiskEdit.js				\
	panel/TagConfig.js				\
	tree/ResourceTree.js				\
	tree/SnapshotTree.js				\
	tree/ResourceMapTree.js				\
	tree/DhcpTree.js				\
	window/Backup.js				\
	window/BackupConfig.js				\
	window/BulkAction.js				\
	window/CephInstall.js				\
	window/Clone.js					\
	window/FirewallEnableEdit.js			\
	window/FirewallLograteEdit.js			\
	window/LoginWindow.js				\
	window/Migrate.js				\
	window/Prune.js					\
	window/Restore.js				\
	window/SafeDestroyGuest.js			\
	window/SafeDestroyStorage.js			\
	window/Settings.js				\
	window/Snapshot.js				\
	window/StartupEdit.js				\
	window/DownloadUrlToStorage.js 			\
	window/UploadToStorage.js 			\
	window/ScheduleSimulator.js			\
	window/Wizard.js				\
	window/GuestDiskReassign.js				\
	window/GuestStop.js				\
	window/TreeSettingsEdit.js			\
	window/PCIMapEdit.js				\
	window/USBMapEdit.js				\
	window/GuestImport.js				\
	ha/Fencing.js					\
	ha/GroupEdit.js					\
	ha/GroupSelector.js				\
	ha/Groups.js					\
	ha/ResourceEdit.js				\
	ha/Resources.js					\
	ha/Status.js					\
	ha/StatusView.js				\
	dc/ACLView.js					\
	dc/ACMEClusterView.js				\
	dc/AuthEditBase.js				\
	dc/AuthEditAD.js				\
	dc/AuthEditLDAP.js				\
	dc/AuthEditOpenId.js				\
	dc/AuthView.js					\
	dc/BackupJobDetail.js				\
	dc/Backup.js					\
	dc/Cluster.js					\
	dc/ClusterEdit.js				\
	dc/Config.js					\
	dc/CorosyncLinkEdit.js				\
	dc/GroupEdit.js					\
	dc/GroupView.js					\
	dc/Guests.js					\
	dc/Health.js					\
	dc/Log.js					\
	dc/NodeView.js					\
	dc/OptionView.js				\
	dc/PermissionView.js				\
	dc/PoolEdit.js					\
	dc/PoolView.js					\
	dc/RoleEdit.js					\
	dc/RoleView.js					\
	dc/SecurityGroups.js				\
	dc/StorageView.js				\
	dc/Summary.js					\
	dc/Support.js					\
	dc/SyncWindow.js				\
	dc/Tasks.js					\
	dc/TokenEdit.js					\
	dc/TokenView.js					\
	dc/UserEdit.js					\
	dc/UserView.js					\
	dc/MetricServerView.js				\
	dc/UserTagAccessEdit.js				\
	dc/RegisteredTagsEdit.js			\
	dc/RealmSyncJob.js				\
	dc/PCIMapView.js				\
	dc/USBMapView.js				\
	lxc/CmdMenu.js					\
	lxc/Config.js					\
	lxc/CreateWizard.js				\
	lxc/DeviceEdit.js				\
	lxc/DNS.js					\
	lxc/FeaturesEdit.js				\
	lxc/MPEdit.js					\
	lxc/MPResize.js					\
	lxc/Network.js					\
	lxc/Options.js					\
	lxc/ResourceEdit.js				\
	lxc/Resources.js				\
	lxc/MultiMPEdit.js				\
	menu/MenuItem.js				\
	menu/TemplateMenu.js				\
	ceph/CephInstallWizard.js			\
	ceph/Config.js					\
	ceph/Crush.js					\
	ceph/FS.js					\
	ceph/Log.js					\
	ceph/Monitor.js					\
	ceph/OSD.js					\
	ceph/OSDDetails.js				\
	ceph/Pool.js					\
	ceph/ServiceList.js				\
	ceph/Services.js				\
	ceph/Status.js					\
	ceph/StatusDetail.js				\
	node/ACME.js					\
	node/Certificates.js				\
	node/CmdMenu.js					\
	node/Config.js					\
	node/Directory.js				\
	node/LVM.js					\
	node/LVMThin.js					\
	node/StatusView.js				\
	node/Subscription.js				\
	node/Summary.js					\
	node/ZFS.js					\
	node/NodeOptionsView.js				\
	pool/Config.js					\
	pool/StatusView.js				\
	pool/Summary.js					\
	qemu/AgentIPView.js				\
	qemu/AudioEdit.js				\
	qemu/BootOrderEdit.js				\
	qemu/CDEdit.js					\
	qemu/CIDriveEdit.js				\
	qemu/CloudInit.js				\
	qemu/CmdMenu.js					\
	qemu/Config.js					\
	qemu/CreateWizard.js				\
	qemu/DisplayEdit.js				\
	qemu/HDEdit.js					\
	qemu/HDEfi.js					\
	qemu/HDTPM.js					\
	qemu/HDMove.js					\
	qemu/HDResize.js				\
	qemu/HardwareView.js				\
	qemu/IPConfigEdit.js				\
	qemu/KeyboardEdit.js				\
	qemu/MachineEdit.js				\
	qemu/MemoryEdit.js				\
	qemu/Monitor.js					\
	qemu/MultiHDEdit.js				\
	qemu/NetworkEdit.js				\
	qemu/OSDefaults.js				\
	qemu/OSTypeEdit.js				\
	qemu/Options.js					\
	qemu/PCIEdit.js					\
	qemu/ProcessorEdit.js				\
	qemu/QemuBiosEdit.js				\
	qemu/RNGEdit.js					\
	qemu/SSHKey.js					\
	qemu/ScsiHwEdit.js				\
	qemu/SerialEdit.js				\
	qemu/SevEdit.js					\
	qemu/Smbios1Edit.js				\
	qemu/SystemEdit.js				\
	qemu/USBEdit.js					\
	sdn/Browser.js					\
	sdn/ControllerView.js				\
	sdn/Status.js					\
	sdn/StatusView.js				\
	sdn/VnetEdit.js					\
	sdn/VnetView.js					\
	sdn/VnetACLView.js					\
	sdn/VnetPanel.js				\
	sdn/SubnetEdit.js				\
	sdn/SubnetView.js				\
	sdn/ZoneContentView.js				\
	sdn/ZoneContentPanel.js				\
	sdn/FirewallPanel.js				\
	sdn/FirewallVnetView.js				\
	sdn/ZoneView.js					\
	sdn/IpamEdit.js					\
	sdn/OptionsPanel.js				\
	sdn/controllers/Base.js				\
	sdn/controllers/EvpnEdit.js			\
	sdn/controllers/BgpEdit.js			\
	sdn/controllers/IsisEdit.js			\
	sdn/IpamView.js					\
	sdn/ipams/Base.js				\
	sdn/ipams/NetboxEdit.js				\
	sdn/ipams/PVEIpamEdit.js			\
	sdn/ipams/PhpIpamEdit.js			\
	sdn/DnsView.js					\
	sdn/dns/Base.js					\
	sdn/dns/PowerdnsEdit.js				\
	sdn/zones/Base.js				\
	sdn/zones/EvpnEdit.js				\
	sdn/zones/QinQEdit.js				\
	sdn/zones/SimpleEdit.js				\
	sdn/zones/VlanEdit.js				\
	sdn/zones/VxlanEdit.js				\
	storage/ContentView.js				\
	storage/BackupView.js				\
	storage/Base.js					\
	storage/Browser.js				\
	storage/CIFSEdit.js				\
	storage/CephFSEdit.js				\
	storage/DirEdit.js				\
	storage/GlusterFsEdit.js			\
	storage/ImageView.js				\
	storage/IScsiEdit.js				\
	storage/LVMEdit.js				\
	storage/LvmThinEdit.js				\
	storage/BTRFSEdit.js				\
	storage/NFSEdit.js				\
	storage/PBSEdit.js				\
	storage/RBDEdit.js				\
	storage/StatusView.js				\
	storage/Summary.js				\
	storage/TemplateView.js				\
	storage/ZFSEdit.js				\
	storage/ZFSPoolEdit.js				\
	storage/ESXIEdit.js				\
	Workspace.js					\
# end of JSSRC list

WIDGETKIT=/usr/share/javascript/proxmox-widget-toolkit/proxmoxlib.js

all:

.lint-incremental: $(JSSRC)
	$(ESLINT) $?
	touch "$@"

.PHONY: lint
check: lint
lint: $(JSSRC)
	$(ESLINT) --strict $(JSSRC)
	touch ".lint-incremental"

pvemanagerlib.js: .lint-incremental OnlineHelpInfo.js $(JSSRC)
	cat OnlineHelpInfo.js $(JSSRC) >$@.tmp
	mv $@.tmp $@

OnlineHelpInfo.js: $(JSSRC) $(WIDGETKIT)
	/usr/bin/asciidoc-pve scan-extjs $^ >$@.tmp
	mv $@.tmp $@

.PHONY: install
install: pvemanagerlib.js
	install -d $(WWWJSDIR)
	install -m 0644 pvemanagerlib.js $(WWWJSDIR)

.PHONY: clean
clean:
	rm -rf pvemanagerlib.js OnlineHelpInfo.js .lint-incremental

=== debian/changelog ===
pve-manager (8.3.0) bookworm; urgency=medium

  * ceph: drop preview flag for the Ceph Squid release

  * aplinfo: update TurnkeyLinux key after expiry

  * update shipped aplliance info index

  * ui: firewall rules: add empty text to grid

  * ui: sdn vnet, zone: add empty text to grids

  * ui: sdn: add VNET prefix to vnet-specific firewall navigation label

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Nov 2024 11:39:37 +0100

pve-manager (8.2.10) bookworm; urgency=medium

  * ui: firewall: add sdn as valid scope to IP-set selector

  * ui: firewall: add forward direction to rule panel

  * ui: sdn: add firewall panel

  * ui: firewall: show warning when creating forward rules

  * ui: import: clarify working storage emptyText

  * change recommendation of pve-network packages to hard dependency, it's now
    pulled in by pve-firewall anyway

  * api: notifications: require powerful privileges for target management

 -- Proxmox Support Team <support@proxmox.com>  Tue, 19 Nov 2024 19:44:36 +0100

pve-manager (8.2.9) bookworm; urgency=medium

  * api/ui: improve mdev listing for PCI mappings. Extend the parameter for
    the PCI ID to accept both, PCI IDs or named mappings, and for the latter
    mappings, iterate over all local PCI devices in it and extract the mdev
    types.

  * ui: implement 'Tag View' for the resource tree, which groups guests by
    their tags. Guests with multiple tags are visible under each of them.
    Guests without tags and nodes and storages are added to the end of the
    tree.

  * ui: cloudinit: use cloudinit update api when regenerating images.

  * ui: cloudinit: avoid suggesting to unprivileged users that they can
    re-generate the image, disable the button in this case.

  * fix #5787: ui: display guest name in confirmation dialog for actions like
    start, stop, shut down, or converting to a template.

  * ui: lxc: add readonly option for device passthrough.

  * ui: lxc: add the "discard" mount option.

  * ui: expose the newly supported BZIP2 as available compressor for backups.

  * fix #5722: ui: api token: allow unprivileged users to create their own api
    tokens, they are self-service after all.

  * api: add routes for webhook notification endpoints.

  * ui: workspace/user view: change password minimum length to 8 to follow
    recent NIST recommendations.

  * ui: pool: dynamic status update every 10s in members screen

  * ui: pbs storage: fix reset behavior when editing existing entry

  * api/ui: include the node ha status in resources call and show as icon

  * ui: acme: switch cluster view items over to those from widget-toolkit

  * ui: tree: show tooltips for all entries that have sensible information

  * fix #3893: api/ui: node network: expose bridge VLAN IDs option to allow
    one to configure VLAN ranges, This can be useful for devices that support
    hardware offloading them, but only support a limited amount.

  * ui: remove experimental from change detection modes description

  * ui: add import content type for file-based storages to allow handling
    imports of OVA/OVF backed archives more conveniently.

  * ui: guest import: add storage selector for overriding the OVA staging
    storage for the temporary extraction.

  * ui: import: show size for dir-based storages

  * ui: enable upload/download/remove buttons for 'import' type storages

  * ui: qemu: add AMD SEV configuration to Options

  * fix #5879: ui: add tooltip to security group comments

  * fix #5810: ui: show confirmation/warning dialog for sdn apply

  * api: package repositories: add Ceph Squid to available repos

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Nov 2024 23:20:04 +0100

pve-manager (8.2.8) bookworm; urgency=medium

  * fix #5734: provide missing methods for Proxmox.Utils for mobile UI

  * api: subscription update: report error if removing ceph-auth file fails

  * add module to centrally track Ceph release info for the backend

  * pveceph: prompt user on TTY about installing experimental version

  * ceph releases: add 19.2 Squid as available release, currently still as
    technology preview

  * fix #5753: api: add 'pstart' member to task status return schema

  * fix #5302: ui: vm cpu affinity displayed in hardware overview

  * fix typos in user visible strings

  * fix #5632: ui:storage: correct online help link of backup view

  * ui: ceph wizard: show hint for releases that are in tech-preview state

  * ui: ceph wizard: filter out enterprise repo for tech-preview releases

  * ui: ceph wizard: add Ceph 19.2 Squid as installable release

  * api: improve the API JSON schema of various API calls

 -- Proxmox Support Team <support@proxmox.com>  Thu, 24 Oct 2024 16:47:02 +0200

pve-manager (8.2.7) bookworm; urgency=medium

  * api: add missing schema annotations for download endpoints and adapt
    existing ones to renaming the respective property to 'download_allowed'.

  * pvesh: limit download handling to annotated endpoints to unify the
    behaviour with pve-http-server.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Sep 2024 11:43:24 +0200

pve-manager (8.2.6) bookworm; urgency=medium

  * fix #5731: vzdump jobs: fix execution of converted jobs

 -- Proxmox Support Team <support@proxmox.com>  Fri, 20 Sep 2024 17:47:17 +0200

pve-manager (8.2.5) bookworm; urgency=medium

  * ui: qemu hardware: use background delay for asynchronous remove tasks so
    that the task log window doesn't get shown if the task already finished.

  * ui: qemu hardware: use asynchronous remove API call for disk hot-unplug to
    expand the task duration timeout from 30 seconds to 10 minutes, helping
    overloaded and/or slow systems.

  * vzdump config: add fleecing property string to make it clear that fleecing
    can be configured as a node-wide default too.

  * ui: fix align mode of the two-column container widget, which is used for
    the advanced tab of the backup job edit window.



=== debian/control ===
Source: pve-manager
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libapt-pkg-perl,
               libfile-readbackwards-perl,
               libhttp-daemon-perl,
               libpod-parser-perl,
               libproxmox-acme-perl,
               libproxmox-rs-perl (>= 0.3.4),
               libpve-access-control (>= 8.0.7),
               libpve-cluster-api-perl,
               libpve-cluster-perl (>= 6.1-6),
               libpve-common-perl (>= 8.2.3),
               libpve-guest-common-perl (>= 5.1.1),
               libpve-http-server-perl (>= 2.0-12),
               libpve-notify-perl,
               libpve-rs-perl (>= 0.8.10),
               libpve-storage-perl (>= 6.3-2),
               libtemplate-perl,
               libtest-mockmodule-perl,
               lintian,
               proxmox-widget-toolkit (>= 4.1.4),
               pve-cluster,
               pve-container,
               pve-doc-generator (>= 8.0.5),
               pve-eslint (>= 7.28.0),
               qemu-server (>= 8.0~~),
               sq,
               unzip,
Standards-Version: 4.6.1
Maintainer: Proxmox Support Team <support@proxmox.com>

Package: pve-manager
Section: admin
Priority: optional
Architecture: all
Depends: apt (>= 1.5~),
         ca-certificates,
         cstream,
         dtach,
         fonts-font-awesome,
         fonts-font-logos,
         gdisk,
         hdparm,
         libapt-pkg-perl,
         libcrypt-ssleay-perl,
         libfile-readbackwards-perl,
         libfilesys-df-perl,
         libjs-extjs (>= 7.0.0),
         libjs-qrcodejs (>= 1.20201119),
         libjs-sencha-touch,
         libjson-perl,
         liblwp-protocol-https-perl,
         libnet-dns-perl,
         libproxmox-acme-perl,
         libproxmox-acme-plugins,
         libproxmox-rs-perl (>= 0.3.4),
         libpve-access-control (>= 8.1.3),
         libpve-cluster-api-perl (>= 7.0-5),
         libpve-cluster-perl (>= 7.2-3),
         libpve-common-perl (>= 8.2.6),
         libpve-guest-common-perl (>= 5.1.4),
         libpve-http-server-perl (>= 5.1.1),
         libpve-network-perl (>= 0.9~),
         libpve-network-api-perl (>= 0.9.9~),
         libpve-notify-perl (>= 8.0.5),
         libpve-rs-perl (>= 0.8.12),
         libpve-storage-perl (>= 8.2.8),
         librados2-perl (>= 1.3-1),
         libtemplate-perl,
         libterm-readline-gnu-perl,
         liburi-perl,
         libuuid-perl,
         libwww-perl (>= 6.04-1),
         logrotate,
         lzop,
         novnc-pve (>= 1.2.0-2~),
         pciutils,
         perl (>= 5.10.0-19),
         postfix | mail-transport-agent,
         proxmox-mail-forward,
         proxmox-mini-journalreader (>= 1.3-1),
         proxmox-widget-toolkit (>= 4.3.0),
         pve-cluster (>= 8.0.5),
         pve-container (>= 5.1.11),
         pve-docs (>= 8.0~~),
         pve-firewall,
         pve-ha-manager,
         pve-i18n (>= 3.2.0~),
         pve-xtermjs (>= 4.7.0-1),
         qemu-server (>= 8.2.7),
         rsync,
         spiceterm,
         systemd,
         vncterm,
         wget,
         zstd,
         ${misc:Depends},
         ${perl:Depends},
Recommends: proxmox-firewall,
            proxmox-offline-mirror-helper,
Conflicts: vlan, vzdump,
Replaces: vlan, vzdump,
Provides: vlan, vzdump,
Breaks: libpve-network-perl (<< 0.5-1),
Description: Proxmox Virtual Environment Management Tools
 This package contains the Proxmox Virtual Environment management tools.

## pve-manager 8.3.2+port1

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,10 @@
 
 BUILDDIR = $(PACKAGE)-$(DEB_VERSION_UPSTREAM)
 
+ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
 DSC=$(PACKAGE)_$(DEB_VERSION).dsc
-DEB=$(PACKAGE)_$(DEB_VERSION)_all.deb
+DEB=$(PACKAGE)_$(DEB_VERSION)_$(ARCH).deb
 
 DESTDIR=
 SUBDIRS = aplinfo PVE bin www services configs network-hooks test templates

=== PVE/Makefile ===
include ../defines.mk

SUBDIRS=API2 Status CLI Service Ceph Jobs

PERLSOURCE = 			\
	API2.pm			\
	API2Tools.pm		\
	APLInfo.pm		\
	AutoBalloon.pm		\
	CertCache.pm		\
	CertHelpers.pm		\
	ExtMetric.pm		\
	HTTPServer.pm		\
	Jobs.pm			\
	NodeConfig.pm		\
	PullMetric.pm		\
	Report.pm		\
	VZDump.pm

all: pvecfg.pm $(SUBDIRS)
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i; done

REPOID ?= $(or $(GITVERSION), $(shell git rev-parse --short=16 HEAD), unknown)
pvecfg.pm: pvecfg.pm.in
	sed 's/@VERSION@/$(VERSION)/;s/@PVERELEASE@/$(PVERELEASE)/;s/@PACKAGE@/$(PACKAGE)/;s/@REPOID@/$(REPOID)/' $< >$@.tmp
	mv $@.tmp $@

%:
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

.PHONY: clean
clean:
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done
	rm -rf *~ pvecfg.pm pvecfg.pm.tmp

.PHONY: install 
install: pvecfg.pm $(PERLSOURCE)
	install -d $(PERLLIBDIR)/PVE
	install -m 0644 pvecfg.pm $(PERLLIBDIR)/PVE/
	install -m 0644 $(PERLSOURCE) $(PERLLIBDIR)/PVE/
	set -e && for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

=== bin/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 	pveupgrade		\
 	pveupdate		\
 	pveperf			\
-	pvereport
+	pvereport		\
+	query-machine-info
 
 HELPERS =			\
 	pve-startall-delay	\

=== configs/Makefile ===
--- 
+++ 
@@ -6,9 +6,9 @@
 	./country.pl > country.dat
 
 .PHONY: install
-install: country.dat vzdump.conf pve-sources.list pve-initramfs.conf pve-blacklist.conf pve.logrotate
+install: country.dat vzdump.conf pveport.list pve-initramfs.conf pve-blacklist.conf pve.logrotate
 	install -D -m 0644 pve.logrotate $(DESTDIR)/etc/logrotate.d/pve
-	install -D -m 0644 pve-sources.list ${DESTDIR}/etc/apt/sources.list.d/pveport.list
+	install -D -m 0644 pveport.list $(DESTDIR)/etc/apt/sources.list.d/pveport.list
 	install -D -m 0644 pve-blacklist.conf $(DESTDIR)/etc/modprobe.d/pve-blacklist.conf
 	install -D -m 0644 vzdump.conf $(DESTDIR)/etc/vzdump.conf
 	install -D -m 0644 pve-initramfs.conf $(DESTDIR)/etc/initramfs-tools/conf.d/pve-initramfs.conf

=== network-hooks/Makefile ===
include ../defines.mk

all:

.PHONY: install
install: mtu bridgevlan bridgevlanport vlan vlan-down
	install -D -m 0755 mtu $(DESTDIR)/etc/network/if-up.d/mtu
	install -D -m 0755 bridgevlan $(DESTDIR)/etc/network/if-up.d/bridgevlan
	install -D -m 0755 bridgevlanport $(DESTDIR)/etc/network/if-up.d/bridgevlanport
	install -D -m 0755 vlan $(DESTDIR)/etc/network/if-pre-up.d/vlan
	install -D -m 0755 vlan-down $(DESTDIR)/etc/network/if-post-down.d/vlan

clean:

=== services/Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	pve-storage.target	\
 	pve-daily-update.service\
 	pve-daily-update.timer	\
-	pvescheduler.service
+	pvescheduler.service   \
+	pve-query-machine-info.service
 
 .PHONY: install
 install: $(SERVICES)

=== test/Makefile ===
include ../defines.mk

all:

export PERLLIB=..

.PHONY: check
check: test-replication test-balloon test-vzdump test-osd

.PHONY: test-balloon
test-balloon:
	./balloontest.pl

.PHONY: test-replication
test-replication: replication1.t replication2.t replication3.t replication4.t replication5.t replication6.t

replication%.t: replication_test%.pl
	./$<

.PHONY: test-vzdump
test-vzdump: test-vzdump-guest-included test-vzdump-new

.PHONY: test-vzdump-guest-included
test-vzdump-guest-included:
	./vzdump_guest_included_test.pl

.PHONY: test-vzdump-new
test-vzdump-new:
	./vzdump_new_test.pl

.PHONY: test-osd
test-osd:
	./OSD_test.pl

.PHONY: install
install:

.PHONY: clean
clean:
	rm -rf *~ .mocked_* *.tmp

=== PVE/API2/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	Subscription.pm		\
 	Tasks.pm		\
 	VZDump.pm		\
+	Ipmi.pm			\
 
 all:

=== PVE/CLI/Makefile ===
include ../../defines.mk

SOURCES = \
	vzdump.pm \
	pvesubscription.pm \
	pveceph.pm \
	pveam.pm \
	pvesr.pm \
	pvenode.pm \
	pvesh.pm \
	pve7to8.pm \

all:

.PHONY: install
install: $(SOURCES)
	install -d -m 0755 $(PERLLIBDIR)/PVE/CLI
	for i in $(SOURCES); do install -D -m 0644 $$i $(PERLLIBDIR)/PVE/CLI/$$i; done


clean:

=== PVE/Jobs/Makefile ===
include ../../defines.mk

PERLSOURCE =   \
	VZDump.pm \

all:

.PHONY: clean
clean:
	rm -rf *~

.PHONY: install
install: $(PERLSOURCE)
	install -d $(PERLLIBDIR)/PVE/Jobs
	install -m 0644 $(PERLSOURCE) $(PERLLIBDIR)/PVE/Jobs

=== PVE/Service/Makefile ===
include ../../defines.mk

SOURCES=pvestatd.pm pveproxy.pm pvedaemon.pm spiceproxy.pm pvescheduler.pm

all:

.PHONY: install
install: $(SOURCES)
	install -d -m 0755 $(PERLLIBDIR)/PVE/Service
	for i in $(SOURCES); do install -D -m 0644 $$i $(PERLLIBDIR)/PVE/Service/$$i; done

clean:

=== www/images/Makefile ===
include ../../defines.mk

all:

# start.png /usr/share/icons/gnome/16x16/actions/media-playback-start.png
# stop.png /usr/share/icons/gnome/16x16/actions/media-playback-stop.png
# computer-template.png /usr/share/icons/gnome/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.calc.template.png

# virt-viewer.png copied from virt-viewer sources
# tigervnc.png converted from tigervnc sources
# (tigervnc.org/media/tigervnc_16.svg)

# checked.png converted from extjs examples/ux/css/images/checked.gif
# unchecked.png converted from extjs examples/ux/css/images/unchecked.gif
# swap.png downloaded from https://www.iconfinder.com/icons/17009/arrows_exchange_interact_refresh_reload_swap_sync_update_icon#size=16

# icon-cd, icon-pci
# are self made (sources as .xcf)
# icon-swap, icon-display, icon-harddisk, icon-keyboard, icon-network, icon-usb, icon-cloud
# come from fontawesome (respective fa-refresh, fa-desktop, fa-hdd-o, fa-keyboard-o, fa-exchange, fa-usb, fa-ellipsis-h, fa-cloud)

# icon-serial is a modified version of
# https://commons.wikimedia.org/wiki/File:DE9_Diagram.svg
# (public domain)

# ceph logos are from
#  http://ceph.com/logos/

# xtermjs.png is a cropped version of the logo found on
# https://github.com/xtermjs/xterm.js

GNOME_IMAGES = 			\
	checked.png		\
	unchecked.png 		\
	start.png		\
	stop.png		\
	gtk-stop.png		\
	forward.png		\
	display.png		\
	keyboard.png		\
	cdrom.png		\
	network.png		\
	drive-harddisk.png	\
	network-server.png	\
	connect_established.png	\
	computer-template.png   \
	computer.png

IMAGES = $(GNOME_IMAGES)	\
	virt-viewer.png		\
	tigervnc.png		\
	novnc.png		\
	xtermjs.png		\
	favicon.ico		\
	snapshot.png		\
	computer-on.png		\
	memory.png		\
	processor.png		\
	proxmox_logo.png	\
	network-server-on.png	\
	network-server-off.png	\
	lxc-on.png		\
	lxc-off.png		\
	openvz-on.png		\
	openvz-off.png		\
	blank.gif		\
	swap.png		\
	icon-swap.png		\
	icon-cd.png		\
	icon-network.png	\
	icon-display.png	\
	icon-harddisk.png	\
	icon-keyboard.png	\
	logo-ceph.png		\
	logo-128.png		\
	icon-serial.svg		\
	icon-cloud.svg		\
	icon-pci.svg		\
	icon-usb.png 		\
	icon-die.svg		\
	icon-sdn.svg		\
	icon-fa-network-wired.svg\
	icon-cpu.svg		\
	icon-memory.svg		\
	icon-cd-drive.svg	\


icon-sdn.svg: icon-sdn.dot
	fdp -Tsvg $< > $@

.PHONY: install 
install: $(IMAGES)
	install -d $(WWWIMAGEDIR)
	install -m 0644 $(IMAGES) $(WWWIMAGEDIR)

.PHONY: clean
clean:
	rm -rf *~

=== debian/changelog ===
pve-manager (8.3.2+port1) bookworm; urgency=medium
  
  * ui: add arch select when vm create and edit

  * api: add query machine info support
 
  * ui: Add more compatibility

 -- Jiangcuo <jiangcuo@lierfang.com>  Sat, 18 Jan 2025 13:17:28 +0800

pve-manager (8.3.2+port) bookworm; urgency=medium

  * ui: ovmf as default bios

 -- Jiangcuo <jiangcuo@lierfang.com>  Fri, 27 Dec 2024 05:23:21 +0800

pve-manager (8.3.2) bookworm; urgency=medium

  * api: network: add return schema for interface listing

  * ui: ceph pool: indentation clean-up

  * ui: ceph: don't set default size/min-size when editing existing pool

  * ui: ceph pool: add opt-in column for the configured pool application

  * ui: qemu: improve error handling and rendering the QGA provided IP
    addresses of the guest.

  * api: node status: complete API return schema

 -- Proxmox Support Team <support@proxmox.com>  Mon, 16 Dec 2024 17:52:29 +0100

pve-manager (8.3.1+port1) bookworm; urgency=medium

  * Fix pveport.list on loongarch64 and arm64

 -- Jiangcuo <jiangcuo@lierfang.com>  Thu, 12 Dec 2024 19:27:43 +0800

pve-manager (8.3.1) bookworm; urgency=medium

  * ui: sdn firewall: add online help reference

  * ui: cluster join info: add clipboard icon to "Copy Information" button

  * external metric server: influxdb: always quote tags

  * api: notification targets: fix permission check for POST/PUT

 -- Proxmox Support Team <support@proxmox.com>  Fri, 29 Nov 2024 11:42:46 +0100

=== debian/control ===
--- 
+++ 
@@ -29,20 +29,23 @@
                sq,
                unzip,
 Standards-Version: 4.6.1
-Maintainer: Proxmox Support Team <support@proxmox.com>
+Maintainer: Lierfang Team <itsupport@lierfang.com>
 
 Package: pve-manager
 Section: admin
 Priority: optional
-Architecture: all
+Architecture: any
 Depends: apt (>= 1.5~),
          ca-certificates,
          cstream,
+	 dmidecode,
          dtach,
          fonts-font-awesome,
          fonts-font-logos,
          gdisk,
          hdparm,
+	 jc,
+	 jq,
          libapt-pkg-perl,
          libcrypt-ssleay-perl,
          libfile-readbackwards-perl,

=== debian/rules ===
#!/usr/bin/make -f

include debian/rules.env
export REPOID=${REPOID_GENERATED}

%:
	dh $@

override_dh_compress:
	dh_compress -Xaplinfo.dat -Xtrustedkeys.gpg

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -X.png

override_dh_fixperms:
	dh_fixperms -Xvar/log/pveproxy
